#

Accessor COMPILER-MACRO-FUNCTION

Syntax:

compiler-macro-function name `&optional` environment => function

`(setf (`compiler-macro-function name `&optional` environment`)` new-function`)`

Arguments and Values:

name---a function name.

environment---an environment object.

function, new-function---a compiler macro function, or nil.

Description:

Accesses the compiler macro function named name, if any, in the environment.

A value of nil denotes the absence of a compiler macro function named name.

Examples: None.

Affected By: None.

Exceptional Situations:

The consequences are undefined if environment is non-nil in a use of setf of compiler-macro-function.

See Also:

define-compiler-macro, Section 3.2.2.1 (Compiler Macros)

Notes: None.

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- DEFINE-COMPILER-MACRO:X3J13-NOV89

Copyright 1996-2005, LispWorks Ltd. All rights reserved.